package com.simuwang.base.pojo.dos;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.simuwang.base.common.util.DateUtils;
import com.simuwang.base.pojo.vo.CompanyEmailConfigVO;
import com.simuwang.base.pojo.vo.CompanyEmailSendHistoryVO;
import lombok.Data;

import java.util.Date;

/**
 * FileName: CompanyEmailSendHistoryDO
 * Author:   chenjianhua
 * Date:     2024/9/7 13:36
 * Description: ${DESCRIPTION}
 */
@Data
public class CompanyEmailSendHistoryDO {
    /**
     * 主键Id
     */
    private Integer id;
    /**
     * 公司名称
     */
    private String companyName;
    /**
     * 公司ID
     */
    private String companyId;
    /**
     * 邮箱地址
     */
    private String email;
    /**
     * 邮箱地址
     */
    private Integer sendStatus;
    /**
     * 发送时间
     */
    private Date sendTime;
    /**
     * 发送备注
     */
    private String sendRemark;
    /**
     * 记录的有效性；1-有效；0-无效；
     */
    private Integer isvalid;
    /**
     * 创建者Id;第一次创建时与Creator值相同，修改时与修改人值相同
     */
    private Integer creatorId;
    /**
     * 修改者Id;第一次创建时与Creator值相同，修改时与修改人值相同
     */
    private Integer updaterId;
    /**
     * 创建时间,默认第一次创建的getdate()时间
     */
    private Date createTime;
    /**
     * 修改时间;第一次创建时与CreatTime值相同，修改时与修改时间相同
     */
    private Date updateTime;

    public CompanyEmailSendHistoryVO toVo() {
        CompanyEmailSendHistoryVO vo = new CompanyEmailSendHistoryVO();
        vo.setCompanyId(this.getCompanyId());
        vo.setEmail(this.getEmail());
        vo.setId(this.getId());
        vo.setSendRemark(this.getSendRemark());
        vo.setSendStatus(this.getSendStatus());
        vo.setCompanyName(this.getCompanyName());
        vo.setSendTime(this.getSendTime()==null?null: DateUtils.format(this.getSendTime(),DateUtils.YYYY_MM_DD_HH_MM_SS));
        return vo;
    }
}
